#ifndef ATL_dGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,120,240,480,600,720,840,1000,2040
 * N : 25,120,240,480,600,720,840,1000,2040
 * NB : 4,8,8,8,8,12,40,40,80
 */
#define ATL_dGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 72) (nb_) = 4; \
   else if ((n_) < 660) (nb_) = 8; \
   else if ((n_) < 780) (nb_) = 12; \
   else if ((n_) < 1520) (nb_) = 40; \
   else (nb_) = 80; \
}


#endif    /* end ifndef ATL_dGetNB_geqrf */
